   --      
   --      ("")
   ------------------------------------------------------
   bubble:: [Int] -> [Int]
   bubble lst | null lst = lst
              | True     = bubble (init (pr lst)) ++
                                  [last (pr lst)]
   -----------------------------------------------------
   --        
   -----------------------------------------------------
   pr:: [Int] -> [Int]
   pr lst | length lst<2 = lst
          | head lst>head (tail lst)
                         = head (tail lst) :
                           pr (head lst : tail (tail lst))
          | True         = head lst : pr (tail lst)
   -------------------------------------------------------
   -- ,    
   --     lst
   ------------------------------------------------
   sortP:: [Int] -> Bool
   sortP lst | length lst<2 = True
             | head lst>head (tail lst)
                            = False
             | True         = sortP (tail lst)
   -------------------------------------------------------
   -- ,    
   --    
   --------------------------------------------
   sortP':: Integral a => [a] -> Bool
   sortP' []       = True
   sortP' [a]      = True
   sortP' (a:b:xs) = a<=b && sortP' (b:xs)
   ---------------------------------------
   --   :
   ---------------------------------------------
   test1 =   bubble [3,4,5]           == [3,4,5]
          && bubble [4,3,2]           == [2,3,4]
          && bubble [1,5,3,7]         == [1,3,5,7]
          && bubble [41,31,21,11]     == [11,21,31,41]
          && bubble (reverse [1..50]) == [1..50]
   ---------------------------------------------
   test2 =   sortP (bubble [3,4,6,1,2,2,2])
          && not (sortP (reverse (bubble (map (^2) [1..10]))))
   -----------------------------------------------------------
   test3 =   sortP' (bubble [3,4,6,1,2,2,2])
          && not (sortP' (reverse (bubble (map (^2) [1..10]))))
